Bug 1706984 - "Unknown feature in status:" messages in lvs output
Summary: "Unknown feature in status:" messages in lvs output
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1710551
TreeView+ depends on / blocked
 
Reported: 2019-05-06 14:35 UTC by Corey Marthaler
Modified: 2019-07-08 12:27 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1710551 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)

Description Corey Marthaler 2019-05-06 14:35:05 UTC
Description of problem:
I'm not sure what volume type and attribute is exactly causing this yet, but it appears to be thin/thinpool volumes. I've seen this many times in initial rhel7.7 test output.

[root@harding-02 ~]# lvs -a -o +devices
  Unknown feature in status: 8 24/2048 128 303/8000 9456 151 1060795 3993 0 303 0 3 metadata2 writethrough no_discard_passdown 2 migration_threshold 2048 smq 0 rw - 
  Unknown feature in status: 8 24/2048 128 303/8000 9456 151 1060795 3993 0 303 0 3 metadata2 writethrough no_discard_passdown 2 migration_threshold 2048 smq 0 rw - 
  Unknown feature in status: 8 24/2048 128 301/8000 9368 161 1060795 4140 0 301 0 3 metadata2 writethrough no_discard_passdown 2 migration_threshold 2048 smq 0 rw - 
  Unknown feature in status: 8 24/2048 128 301/8000 9368 161 1060795 4140 0 301 0 3 metadata2 writethrough no_discard_passdown 2 migration_threshold 2048 smq 0 rw - 
  LV              VG              Attr       LSize    Pool    Origin          Data% Meta%  Cpy%Sync Devices                                                               
  corigin         pv_shuffle_A    Cwi-aoC---  752.00m [cpool] [corigin_corig] 3.76  1.17   0.00     corigin_corig(0)                                                      
  [corigin_corig] pv_shuffle_A    owi-aoC---  752.00m                                               /dev/mapper/mpatha2(812)                                              
  [cpool]         pv_shuffle_A    Cwi---C---  500.00m                         3.76  1.17   0.00     cpool_cdata(0)                                                        
  [cpool_cdata]   pv_shuffle_A    Cwi-ao----  500.00m                                               /dev/mapper/mpatha2(687)                                              
  [cpool_cmeta]   pv_shuffle_A    ewi-ao----    8.00m                                               /dev/mapper/mpatha2(685)                                              
  linear          pv_shuffle_A    -wi-ao----    2.00g                                               /dev/mapper/mpatha2(0)                                                
  [lvol0_pmspare] pv_shuffle_A    ewi-------    8.00m                                               /dev/mapper/mpatha2(683)                                              
  stripe          pv_shuffle_A    -wi-ao----    2.00g                                               /dev/mapper/mpatha2(512),/dev/mapper/mpatha1(0),/dev/mapper/mpathb2(0)
  corigin         pv_shuffle_B    Cwi-aoC---  752.00m [cpool] [corigin_corig] 3.79  1.17   0.00     corigin_corig(0)                                                      
  [corigin_corig] pv_shuffle_B    owi-aoC---  752.00m                                               /dev/mapper/mpathd2(812)                                              
  [cpool]         pv_shuffle_B    Cwi---C---  500.00m                         3.79  1.17   0.00     cpool_cdata(0)                                                        
  [cpool_cdata]   pv_shuffle_B    Cwi-ao----  500.00m                                               /dev/mapper/mpathd2(687)                                              
  [cpool_cmeta]   pv_shuffle_B    ewi-ao----    8.00m                                               /dev/mapper/mpathd2(685)                                              
  linear          pv_shuffle_B    -wi-ao----    2.00g                                               /dev/mapper/mpathd2(0)                                                
  [lvol0_pmspare] pv_shuffle_B    ewi-------    8.00m                                               /dev/mapper/mpathd2(683)                                              
  stripe          pv_shuffle_B    -wi-ao----    2.00g                                               /dev/mapper/mpathd2(512),/dev/mapper/mpathd1(0),/dev/mapper/mpathf2(0)


Version-Release number of selected component (if applicable):
3.10.0-1039.el7.x86_64

lvm2-2.02.184-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
lvm2-libs-2.02.184-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
lvm2-cluster-2.02.184-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
lvm2-lockd-2.02.184-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
lvm2-python-boom-0.9-16.el7.2    BUILT: Mon Apr 29 08:52:45 CDT 2019
cmirror-2.02.184-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
device-mapper-1.02.156-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
device-mapper-libs-1.02.156-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
device-mapper-event-1.02.156-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
device-mapper-event-libs-1.02.156-3.el7    BUILT: Mon Apr 29 08:50:15 CDT 2019
device-mapper-persistent-data-0.7.3-3.el7    BUILT: Tue Nov 14 05:07:18 CST 2017


How reproducible:
Often

Comment 3 Evans 2019-05-24 11:05:30 UTC
I am having this issue as well on ArchLinux. I am new to LVM2, so I don't quite understand what causes this to happen.

I'm not sure which one causes the issues, but I have a few in mind:
1. I just updated my kernel (just today), running lvs -a gives the error
2. I have several unclean shutdown

I cannot confirm whethere this issue is present before any of those two.


% uname -a
Linux moonhsine 5.1.4-arch1-1-ARCH #1 SMP PREEMPT Wed May 22 08:06:56 UTC 2019 x86_64 GNU/Linux

% sudo lvm version
  LVM version:     2.02.184(2) (2019-03-22)  Library version: 1.02.156 (2019-03-22)
  Driver version:  4.39.0  Configuration:   ./configure --prefix=/usr --sbindir=/usr/bin --sysconfdir=/etc --localstatedir=/var --enable-applib --enable-cmdlib --enable-dmeventd --enable-lvmetad --enable-lvmpolld --enable-pkgconfig --enable-readline --enable-udev_rules --enable-udev_sync --enable-use-lvmetad --with-cache=internal --with-default-dm-run-dir=/run --with-default-locking-dir=/run/lock/lvm --with-default-pid-dir=/run --with-default-run-dir=/run/lvm --with-systemdsystemunitdir=/usr/lib/systemd/system --with-thin=internal --with-udev-prefix=/usr --enable-udev-systemd-background-jobs

% sudo lvs -a -o +devices
  Unknown feature in status: 8 2647/128000 512 95792/876544 1589244 78385 4312324 863014 0 3 52813 3 metadata2 writeback no_discard_passdown 2 migration_threshold 4096 smq 0 rw - 
  Unknown feature in status: 8 2647/128000 512 95792/876544 1589244 78385 4312324 863014 0 3 52813 3 metadata2 writeback no_discard_passdown 2 migration_threshold 4096 smq 0 rw - 
  LV                 VG Attr       LSize   Pool         Origin       Data%  Meta%  Move Log Cpy%Sync Convert Devices            
  [cache_data]       vg Cwi---C--- 214.00g                           10.93  2.07            55.13            cache_data_cdata(0)
  [cache_data_cdata] vg Cwi-ao---- 214.00g                                                                   /dev/sda2(125)     
  [cache_data_cmeta] vg ewi-ao---- 500.00m                                                                   /dev/sda2(0)       
  [lvol0_pmspare]    vg ewi------- 500.00m                                                                   /dev/sda2(54909)   
  root               vg Cwi-aoC---  50.00g [cache_data] [root_corig] 10.93  2.07            55.13            root_corig(0)      
  [root_corig]       vg owi-aoC---  50.00g 


I then try running

% sudo lvs -a -o +devices *LV* for each of them. The "Unknown feature" error is only present when I run it on:
vg/cache_data
vg/root

Comment 4 Zdenek Kabelac 2019-05-24 11:26:49 UTC
kernel started to report new 'keyword' in status - and lvm2 has not yet learned about it.

There will be soon some upstream patch for this new kernel enhancement.

Other then that - you can continue to use lvm2 normally - just command will print this 'unknown' warning.

Comment 5 Marian Csontos 2019-06-20 18:04:39 UTC
Do we want this fixed in 7.7?


Note You need to log in before you can comment on or make changes to this bug.